<%@ Page Language="C#" AutoEventWireup="true" Inherits="Default" Codebehind="Default.aspx.cs" %>

<%@ Register assembly="MindFusion.Diagramming.WebForms"
	namespace="MindFusion.Diagramming.WebForms" tagprefix="ndiag" %>
<%@ Register assembly="MindFusion.Extenders"
	namespace="MindFusion.Diagramming.WebForms" tagprefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Sample - Icon Nodes</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
<form id="form1" runat="server">

  <asp:ScriptManager id="scriptManager" runat="server">
    <Scripts>
      <asp:ScriptReference Path="Scripts/CustomNode.js" />
      <asp:ScriptReference Path="Scripts/IconNode.js" />
    </Scripts>
  </asp:ScriptManager>

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 5px;">
      <asp:RadioButtonList runat="server" ID="radioButtonList" AutoPostBack="True" OnSelectedIndexChanged="OnRadioSelectedIndexChanged">
        <asp:ListItem Selected="True">Canvas</asp:ListItem>
        <asp:ListItem>ImageMap</asp:ListItem>
      </asp:RadioButtonList>
    </div>
  <asp:Button ID="Button1" runat="server" Text="Submit" OnClick="OnSubmitClick" />
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
  </div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This example shows how to create a custom node class that exposes some new properties in addition to the ones defined by DiagramNode and implements its own drawing logic.</p>
      <p>Draw with the mouse to create instances of the custom node class.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px; background-color: #EEEEEE;">
		<ndiag:InteractivityExtender runat="server" ID="interactivityExtender" TargetControlID="diagramView" />
		<ndiag:DiagramView runat="server"
			ID="diagramView"
			ClientSideMode="Canvas"
			Behavior="Custom"
			AllowInplaceEdit="true"
			JsLibraryLocation="Scripts/Mindfusion.Diagramming.js" 
      style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px;"
			OnNodeClicked="OnNodeClicked"
			OnLinkClicked="OnLinkClicked">
			<Diagram BackBrush="s:#FFEEEEEE"></Diagram>
		</ndiag:DiagramView>
  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

</form>

<script type="text/javascript">
    
Sys.Application.add_init(function() {
  if ($get('diagramView').nodeName == 'CANVAS')
  {
    // inherit class from Canvas mode JS library (Mindfusion.Diagramming.js)
    CustomNode.registerClass('CustomNode', MindFusion.Diagramming.ShapeNode);
  }
  else
  {
    // inherit class from ImageMap mode JS library
    IconNode.registerClass('IconNode', WebForms.ShapeNode);
  }
});

function onNodeClicked(sender, args)
{
  if (sender == null)
    return false;

  var node = args.getNode();
  var button = node.getButtonAtPoint(args.getMousePosition());
  if (button == 'switch')
  {
      node.setNodeType(node.getNodeType() < 3 ? node.getNodeType() + 1 : 1);
  }
  else if (button == 'close')
  {
      node.parent.removeItem(node);
  }
}

</script>

</body>
</html>